Macro Solid Sweep

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Macro Solid Sweep and the translation is 82% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano

Macro Solid Sweep.png Solid Sweep

Beschreibung
Erzeugt einen Körper, indem ein Profil von einer Flugbahn gefegt wird.

Versionsmakro : 1.0
Datum der letzten Änderung : 2011-12-03
FreeCAD version : All
Herunterladen : ToolBar Icon
Autor
Normandc
Herunterladen
ToolBar Icon
Links
Macro-Version
1.0
Datum der letzten Änderung
2011-12-03
FreeCAD-Version(s)
All
Standardverknüpfung
None
Siehe auch
None


Beschreibung

Dieses Makro erstellt einen Körper, indem ein 2D-Profil entlang einer zuvor in der 3D-Ansicht ausgewählten Trajektorie gefegt wird. Die 2D-Elemente können mit den normalen Werkzeugen in FreeCADs GUI erstellt werden.

Mělo by být poznamenáno, že výsledná pevná látka nebude parametrická. Pokud se rozhodnete změnit profil nebo trajektorii, budete muset znovu spustit makro.

Einige Beispiele für das Fegen mit dem gleichen länglichen Abschnitt und drei Arten von Flugbahnen.

Wie verwende ich

  • Erstellen Sie zwei 2D-Elemente (eines für den Abschnitt und eines für die Flugbahn) der unten aufgeführten Typen.
  • Wählen Sie entweder in der Projektnavigation oder in der 3D-Ansicht zuerst die Flugbahn und dann das Profil aus. Die Reihenfolge ist wichtig!
  • Öffnen Sie den Makro-Manager, wählen Sie das Makro aus und klicken Sie auf "Ausführen".
  • Ein Sweep Objekt wird in der Projektnavigation erstellt.

Unterstützte 2D-Elemente

Tipps

  • Der Abschnitt muss ein geschlossenes Profil sein, oder das Ergebnis ist nicht solide.
  • Der Abschnitt muss nicht auf der Flugbahn liegen, es ist jedoch vorzuziehen, dass er normal (senkrecht) zur Flugbahn ist.
  • Die Flugbahn kann entweder ein offenes oder ein geschlossenes Profil sein (Kreis-, Linien- und Bogensegmente), aber alle Elemente müssen tangential sein, da sonst die Form unerwartet ist. Beispielsweise erzeugt eine Flugbahn mit geraden Ecken wie ein Rechteck keinen Volumenkörper.
  • Wenn der Volumenkörper verdreht wird, bearbeiten Sie das Makro, um den Wert isFrenet in 0 (Null) zu ändern, und versuchen Sie es erneut.
  • Wenn Sie die Variable makeSolid im Makro auf 0 (Null) setzen, werden mehrere Flächen mit offenen Enden erzeugt.

Skript

ToolBar Icon Macro Solid Sweep.png

Macro_Solid_Sweep.FCMacro

import Part, FreeCAD, math, PartGui, FreeCADGui
from FreeCAD import Base

# get the selected objects, with first selection for the trajectory and second for the section
s = FreeCADGui.Selection.getSelection()
try:
     shape1=s[0].Shape
     shape2=s[1].Shape
except:
     print "Wrong selection"

traj = Part.Wire([shape1])
section = Part.Wire([shape2])

# create Part objec in the current document
myObject=App.ActiveDocument.addObject("Part::Feature","Sweep")

# variable makeSolid = 1 to create solid, 0 to create surfaces
makeSolid = True #1
isFrenet = True #1

# create a 3D shape and assigh it to the current document
Sweep = Part.Wire(traj).makePipeShell([section],makeSolid,isFrenet)
myObject.Shape = Sweep

Credits

Vielen Dank an Wmayer für seine Hilfe beim Schreiben dieses Skripts.

Zwei Anwendungsbeispiele finden Sie in this forum topic, zusammen mit Download-Links zu den FCStd-Dateien. Bei Verwendung einer Helix als Flugbahn kann ein fester Durchlauf zum Erstellen eines Schraubengewindes verwendet werden.